# PrestaShop\Module\PrestaConnector\pol\api\lib\CatalogApi

All URIs are relative to https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api/WebConnect, except if the operation defines another base path.

| Method | HTTP request | Description |
| ------------- | ------------- | ------------- |
| [**catalogGetCategories1()**](CatalogApi.md#catalogGetCategories1) | **GET** /Catalog/Categories1 | Obtient les informations de catégories de type 1 des produits |
| [**catalogGetCategories1Ext()**](CatalogApi.md#catalogGetCategories1Ext) | **GET** /Catalog/Categories1Ext | Obtient les informations étendues de catégories de type 1 des produits |
| [**catalogGetCategories2()**](CatalogApi.md#catalogGetCategories2) | **GET** /Catalog/Categories2 | Obtient les informations de catégories de type 2 des produits |
| [**catalogGetCategories2Ext()**](CatalogApi.md#catalogGetCategories2Ext) | **GET** /Catalog/Categories2Ext | Obtient les informations étendues de catégories de type 2 des produits |
| [**catalogGetCategories3()**](CatalogApi.md#catalogGetCategories3) | **GET** /Catalog/Categories3 | Obtient les informations de catégories de type 3 des produits |
| [**catalogGetCategories3Ext()**](CatalogApi.md#catalogGetCategories3Ext) | **GET** /Catalog/Categories3Ext | Obtient les informations étendues de catégories de type 3 des produits |
| [**catalogGetCategories4()**](CatalogApi.md#catalogGetCategories4) | **GET** /Catalog/Categories4 | Obtient les informations de catégories de type 4 des produits |
| [**catalogGetCategories4Ext()**](CatalogApi.md#catalogGetCategories4Ext) | **GET** /Catalog/Categories4Ext | Obtient les informations étendues de catégories de type 4 des produits |
| [**catalogGetClassification()**](CatalogApi.md#catalogGetClassification) | **GET** /Catalog/Classification | Obtient les informations d&#39;une classification de produits |
| [**catalogGetClassifications()**](CatalogApi.md#catalogGetClassifications) | **GET** /Catalog/Classifications | Obtient la liste des classifications utilisées des produits |
| [**catalogGetClassificationsExt()**](CatalogApi.md#catalogGetClassificationsExt) | **GET** /Catalog/ClassificationsExt | Obtient les informations de classification des produits |
| [**catalogGetCollections()**](CatalogApi.md#catalogGetCollections) | **GET** /Catalog/Collections | Obtient les informations de collections des produits |
| [**catalogGetGroupesThemes()**](CatalogApi.md#catalogGetGroupesThemes) | **GET** /Catalog/GroupesThemes | Obtient les informations des groupes de thèmes des produits |
| [**catalogGetMagasin()**](CatalogApi.md#catalogGetMagasin) | **GET** /Catalog/Magasin | Obtient les informations d&#39;un magasin |
| [**catalogGetMagasins()**](CatalogApi.md#catalogGetMagasins) | **GET** /Catalog/Magasins | Obtient les informations de magasins |
| [**catalogGetMagasinsExt()**](CatalogApi.md#catalogGetMagasinsExt) | **GET** /Catalog/MagasinsExt | Obtient les informations de magasins des produits |
| [**catalogGetMarque()**](CatalogApi.md#catalogGetMarque) | **GET** /Catalog/Marque | Obtient les informations d&#39;une marque de produits |
| [**catalogGetMarques()**](CatalogApi.md#catalogGetMarques) | **GET** /Catalog/Marques | Obtient les informations de marques des produits |
| [**catalogGetMarquesExt()**](CatalogApi.md#catalogGetMarquesExt) | **GET** /Catalog/MarquesExt | Obtient les informations de marques des produits |
| [**catalogGetNiveaux1()**](CatalogApi.md#catalogGetNiveaux1) | **GET** /Catalog/Niveaux1 | Obtient les informations de niveaux de type 1 des produits |
| [**catalogGetNiveaux1Ext()**](CatalogApi.md#catalogGetNiveaux1Ext) | **GET** /Catalog/Niveaux1Ext | Obtient les informations étendues de niveaux de type 1 des produits |
| [**catalogGetNiveaux2()**](CatalogApi.md#catalogGetNiveaux2) | **GET** /Catalog/Niveaux2 | Obtient les informations de niveaux de type 2 des produits |
| [**catalogGetNiveaux2Ext()**](CatalogApi.md#catalogGetNiveaux2Ext) | **GET** /Catalog/Niveaux2Ext | Obtient les informations étendues de niveaux de type 2 des produits |
| [**catalogGetNiveaux3()**](CatalogApi.md#catalogGetNiveaux3) | **GET** /Catalog/Niveaux3 | Obtient les informations de niveaux de type 3 des produits |
| [**catalogGetNiveaux3Ext()**](CatalogApi.md#catalogGetNiveaux3Ext) | **GET** /Catalog/Niveaux3Ext | Obtient les informations étendues de niveaux de type 3 des produits |
| [**catalogGetNiveaux4()**](CatalogApi.md#catalogGetNiveaux4) | **GET** /Catalog/Niveaux4 | Obtient les informations de niveaux de type 4 des produits |
| [**catalogGetNiveaux4Ext()**](CatalogApi.md#catalogGetNiveaux4Ext) | **GET** /Catalog/Niveaux4Ext | Obtient les informations étendues de niveaux de type 4 des produits |
| [**catalogGetProduits()**](CatalogApi.md#catalogGetProduits) | **GET** /Catalog/Produits | Obtient les produits |
| [**catalogGetProduitsInvalides()**](CatalogApi.md#catalogGetProduitsInvalides) | **GET** /Catalog/ProduitsInvalides | Obtient les produits invalidés |
| [**catalogGetSaisons()**](CatalogApi.md#catalogGetSaisons) | **GET** /Catalog/Saisons | Obtient les informations de saisons des produits |
| [**catalogGetTailles()**](CatalogApi.md#catalogGetTailles) | **GET** /Catalog/Tailles | Obtient les informations de tailles des produits |
| [**catalogGetThemes()**](CatalogApi.md#catalogGetThemes) | **GET** /Catalog/Themes | Obtient les informations des thèmes des produits |
| [**catalogGetThemesExt()**](CatalogApi.md#catalogGetThemesExt) | **GET** /Catalog/ThemesExt | Obtient les informations de thèmes des produits |


## `catalogGetCategories1()`

```php
catalogGetCategories1($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorie
```

Obtient les informations de catégories de type 1 des produits

Obtient les informations de catégories de type 1 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les catégories des produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les catégories ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetCategories1($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetCategories1: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les catégories des produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les catégories ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorie**](../Model/PagedResultMetierCategorieWebConnectCategorie.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetCategories1Ext()`

```php
catalogGetCategories1Ext($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorieComplete
```

Obtient les informations étendues de catégories de type 1 des produits

Obtient les informations étendues de catégories de type 1 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les catégories des produits correspondant au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les catégories ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetCategories1Ext($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetCategories1Ext: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les catégories des produits correspondant au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les catégories ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorieComplete**](../Model/PagedResultMetierCategorieWebConnectCategorieComplete.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetCategories2()`

```php
catalogGetCategories2($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorie
```

Obtient les informations de catégories de type 2 des produits

Obtient les informations de catégories de type 2 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les catégories des produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les catégories ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetCategories2($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetCategories2: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les catégories des produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les catégories ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorie**](../Model/PagedResultMetierCategorieWebConnectCategorie.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetCategories2Ext()`

```php
catalogGetCategories2Ext($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorieComplete
```

Obtient les informations étendues de catégories de type 2 des produits

Obtient les informations étendues de catégories de type 2 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les catégories des produits correspondant au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les catégories ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetCategories2Ext($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetCategories2Ext: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les catégories des produits correspondant au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les catégories ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorieComplete**](../Model/PagedResultMetierCategorieWebConnectCategorieComplete.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetCategories3()`

```php
catalogGetCategories3($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorie
```

Obtient les informations de catégories de type 3 des produits

Obtient les informations de catégories de type 3 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les catégories des produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les catégories ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetCategories3($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetCategories3: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les catégories des produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les catégories ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorie**](../Model/PagedResultMetierCategorieWebConnectCategorie.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetCategories3Ext()`

```php
catalogGetCategories3Ext($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorieComplete
```

Obtient les informations étendues de catégories de type 3 des produits

Obtient les informations étendues de catégories de type 3 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les catégories des produits correspondant au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les catégories ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetCategories3Ext($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetCategories3Ext: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les catégories des produits correspondant au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les catégories ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorieComplete**](../Model/PagedResultMetierCategorieWebConnectCategorieComplete.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetCategories4()`

```php
catalogGetCategories4($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorie
```

Obtient les informations de catégories de type 4 des produits

Obtient les informations de catégories de type 4 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les catégories des produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les marqcatégoriesues ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetCategories4($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetCategories4: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les catégories des produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les marqcatégoriesues ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorie**](../Model/PagedResultMetierCategorieWebConnectCategorie.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetCategories4Ext()`

```php
catalogGetCategories4Ext($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorieComplete
```

Obtient les informations étendues de catégories de type 4 des produits

Obtient les informations étendues de catégories de type 4 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les catégories des produits correspondant au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les catégories ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetCategories4Ext($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetCategories4Ext: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les catégories des produits correspondant au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les catégories ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCategorieWebConnectCategorieComplete**](../Model/PagedResultMetierCategorieWebConnectCategorieComplete.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetClassification()`

```php
catalogGetClassification($no): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierClassificationWebConnectClassificationComplete
```

Obtient les informations d'une classification de produits

Obtient les informations d'une classification de produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$no = 56; // int | Numéro interne de la classification à récupérer

try {
    $result = $apiInstance->catalogGetClassification($no);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetClassification: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **no** | **int**| Numéro interne de la classification à récupérer | |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierClassificationWebConnectClassificationComplete**](../Model/MetierClassificationWebConnectClassificationComplete.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetClassifications()`

```php
catalogGetClassifications($filtre_produit, $no_parent, $niveau, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierClassificationWebConnectClassification
```

Obtient la liste des classifications utilisées des produits

Obtient la liste des classifications utilisées des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les classifications des produits correspondants au filtrage
$no_parent = 56; // int | Si précisé, ne renvoi que les classifications filles de la classification indiquée
$niveau = 56; // int | Si précisé, ne renvoi que les classifications du niveau souhaité
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les classifications ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetClassifications($filtre_produit, $no_parent, $niveau, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetClassifications: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les classifications des produits correspondants au filtrage | [optional] |
| **no_parent** | **int**| Si précisé, ne renvoi que les classifications filles de la classification indiquée | [optional] |
| **niveau** | **int**| Si précisé, ne renvoi que les classifications du niveau souhaité | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les classifications ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierClassificationWebConnectClassification**](../Model/PagedResultMetierClassificationWebConnectClassification.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetClassificationsExt()`

```php
catalogGetClassificationsExt($filtre_produit, $no_parent, $niveau, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierClassificationWebConnectClassificationComplete
```

Obtient les informations de classification des produits

Obtient les informations de classification des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les classifications des produits correspondant au filtrage
$no_parent = 56; // int | Si précisé, ne renvoi que les classifications filles de la classification indiquée
$niveau = 56; // int | Si précisé, ne renvoi que les classifications du niveau souhaité
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les classifications ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetClassificationsExt($filtre_produit, $no_parent, $niveau, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetClassificationsExt: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les classifications des produits correspondant au filtrage | [optional] |
| **no_parent** | **int**| Si précisé, ne renvoi que les classifications filles de la classification indiquée | [optional] |
| **niveau** | **int**| Si précisé, ne renvoi que les classifications du niveau souhaité | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les classifications ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierClassificationWebConnectClassificationComplete**](../Model/PagedResultMetierClassificationWebConnectClassificationComplete.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetCollections()`

```php
catalogGetCollections($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCollectionWebConnectCollection
```

Obtient les informations de collections des produits

Obtient les informations de collections des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les collections des produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les collections ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetCollections($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetCollections: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les collections des produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les collections ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierCollectionWebConnectCollection**](../Model/PagedResultMetierCollectionWebConnectCollection.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetGroupesThemes()`

```php
catalogGetGroupesThemes($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierGroupeThemesWebConnectGroupeThemes
```

Obtient les informations des groupes de thèmes des produits

Obtient les informations des groupes de thèmes des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les groupes de thèmes des produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les groupes de thèmes ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetGroupesThemes($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetGroupesThemes: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les groupes de thèmes des produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les groupes de thèmes ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierGroupeThemesWebConnectGroupeThemes**](../Model/PagedResultMetierGroupeThemesWebConnectGroupeThemes.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetMagasin()`

```php
catalogGetMagasin($no): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierMagasinWebConnectMagasinComplet
```

Obtient les informations d'un magasin

Obtient les informations d'un magasin

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$no = 56; // int | Numéro interne du magasin à récupérer

try {
    $result = $apiInstance->catalogGetMagasin($no);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetMagasin: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **no** | **int**| Numéro interne du magasin à récupérer | |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierMagasinWebConnectMagasinComplet**](../Model/MetierMagasinWebConnectMagasinComplet.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetMagasins()`

```php
catalogGetMagasins($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierMagasinWebConnectMagasin
```

Obtient les informations de magasins

Obtient les informations de magasins

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les magasins correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les magasins ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetMagasins($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetMagasins: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les magasins correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les magasins ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierMagasinWebConnectMagasin**](../Model/PagedResultMetierMagasinWebConnectMagasin.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetMagasinsExt()`

```php
catalogGetMagasinsExt($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierMagasinWebConnectMagasinComplet
```

Obtient les informations de magasins des produits

Obtient les informations de magasins des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les magasins correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les magasins ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetMagasinsExt($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetMagasinsExt: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les magasins correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les magasins ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierMagasinWebConnectMagasinComplet**](../Model/PagedResultMetierMagasinWebConnectMagasinComplet.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetMarque()`

```php
catalogGetMarque($no): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierMarqueWebConnectMarqueComplete
```

Obtient les informations d'une marque de produits

Obtient les informations d'une marque de produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$no = 56; // int | Numéro interne de la marque à récupérer

try {
    $result = $apiInstance->catalogGetMarque($no);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetMarque: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **no** | **int**| Numéro interne de la marque à récupérer | |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierMarqueWebConnectMarqueComplete**](../Model/MetierMarqueWebConnectMarqueComplete.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetMarques()`

```php
catalogGetMarques($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierMarqueWebConnectMarque
```

Obtient les informations de marques des produits

Obtient les informations de marques des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les marques des produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les marques ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetMarques($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetMarques: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les marques des produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les marques ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierMarqueWebConnectMarque**](../Model/PagedResultMetierMarqueWebConnectMarque.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetMarquesExt()`

```php
catalogGetMarquesExt($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierMarqueWebConnectMarqueComplete
```

Obtient les informations de marques des produits

Obtient les informations de marques des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les marques des produits correspondant au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les marques ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetMarquesExt($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetMarquesExt: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les marques des produits correspondant au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les marques ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierMarqueWebConnectMarqueComplete**](../Model/PagedResultMetierMarqueWebConnectMarqueComplete.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetNiveaux1()`

```php
catalogGetNiveaux1($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveau
```

Obtient les informations de niveaux de type 1 des produits

Obtient les informations de niveaux de type 1 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les niveaux des produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les niveaux ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetNiveaux1($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetNiveaux1: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les niveaux des produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les niveaux ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveau**](../Model/PagedResultMetierNiveauWebConnectNiveau.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetNiveaux1Ext()`

```php
catalogGetNiveaux1Ext($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveauComplete
```

Obtient les informations étendues de niveaux de type 1 des produits

Obtient les informations étendues de niveaux de type 1 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les niveaux des produits correspondant au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les niveaux ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetNiveaux1Ext($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetNiveaux1Ext: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les niveaux des produits correspondant au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les niveaux ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveauComplete**](../Model/PagedResultMetierNiveauWebConnectNiveauComplete.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetNiveaux2()`

```php
catalogGetNiveaux2($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveau
```

Obtient les informations de niveaux de type 2 des produits

Obtient les informations de niveaux de type 2 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les niveaux des produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les niveaux ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetNiveaux2($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetNiveaux2: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les niveaux des produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les niveaux ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveau**](../Model/PagedResultMetierNiveauWebConnectNiveau.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetNiveaux2Ext()`

```php
catalogGetNiveaux2Ext($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveauComplete
```

Obtient les informations étendues de niveaux de type 2 des produits

Obtient les informations étendues de niveaux de type 2 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les niveaux des produits correspondant au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les niveaux ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetNiveaux2Ext($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetNiveaux2Ext: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les niveaux des produits correspondant au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les niveaux ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveauComplete**](../Model/PagedResultMetierNiveauWebConnectNiveauComplete.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetNiveaux3()`

```php
catalogGetNiveaux3($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveau
```

Obtient les informations de niveaux de type 3 des produits

Obtient les informations de niveaux de type 3 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les niveaux des produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les niveaux ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetNiveaux3($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetNiveaux3: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les niveaux des produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les niveaux ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveau**](../Model/PagedResultMetierNiveauWebConnectNiveau.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetNiveaux3Ext()`

```php
catalogGetNiveaux3Ext($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveauComplete
```

Obtient les informations étendues de niveaux de type 3 des produits

Obtient les informations étendues de niveaux de type 3 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les niveaux des produits correspondant au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les niveaux ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetNiveaux3Ext($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetNiveaux3Ext: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les niveaux des produits correspondant au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les niveaux ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveauComplete**](../Model/PagedResultMetierNiveauWebConnectNiveauComplete.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetNiveaux4()`

```php
catalogGetNiveaux4($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveau
```

Obtient les informations de niveaux de type 4 des produits

Obtient les informations de niveaux de type 4 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les niveaux des produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les niveaux ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetNiveaux4($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetNiveaux4: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les niveaux des produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les niveaux ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveau**](../Model/PagedResultMetierNiveauWebConnectNiveau.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetNiveaux4Ext()`

```php
catalogGetNiveaux4Ext($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveauComplete
```

Obtient les informations étendues de niveaux de type 4 des produits

Obtient les informations étendues de niveaux de type 4 des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les niveaux des produits correspondant au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les niveaux ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetNiveaux4Ext($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetNiveaux4Ext: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les niveaux des produits correspondant au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les niveaux ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierNiveauWebConnectNiveauComplete**](../Model/PagedResultMetierNiveauWebConnectNiveauComplete.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetProduits()`

```php
catalogGetProduits($filtre_produit, $derniere_modification, $pager, $date_solde, $is_solde, $is_promo, $is_internet, $is_magasin, $code_promo, $derniere_changement): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultProduit
```

Obtient les produits

Obtient les produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les produits ayant changés depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)
$date_solde = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Date de prise en compte des plans de promotion ou de solde, par défaut la date de jour est utilisé
$is_solde = true; // bool | Le plan est en plan de solde
$is_promo = true; // bool | Le plan est en plan de promotions
$is_internet = true; // bool | Le plan est valable sur internet
$is_magasin = true; // bool | Le plan est valable en boutique
$code_promo = 'code_promo_example'; // string | Code du plan
$derniere_changement = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les produits ayant changés depuis cette date, (produit, prix et stock)

try {
    $result = $apiInstance->catalogGetProduits($filtre_produit, $derniere_modification, $pager, $date_solde, $is_solde, $is_promo, $is_internet, $is_magasin, $code_promo, $derniere_changement);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetProduits: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les produits ayant changés depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |
| **date_solde** | **\DateTime**| Date de prise en compte des plans de promotion ou de solde, par défaut la date de jour est utilisé | [optional] |
| **is_solde** | **bool**| Le plan est en plan de solde | [optional] [default to true] |
| **is_promo** | **bool**| Le plan est en plan de promotions | [optional] [default to true] |
| **is_internet** | **bool**| Le plan est valable sur internet | [optional] [default to true] |
| **is_magasin** | **bool**| Le plan est valable en boutique | [optional] [default to true] |
| **code_promo** | **string**| Code du plan | [optional] |
| **derniere_changement** | **\DateTime**| Si précisé, ne renvoi que les produits ayant changés depuis cette date, (produit, prix et stock) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultProduit**](../Model/PagedResultProduit.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetProduitsInvalides()`

```php
catalogGetProduitsInvalides($pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultRefProduitInvalide
```

Obtient les produits invalidés

Obtient les produits invalidés

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetProduitsInvalides($pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetProduitsInvalides: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultRefProduitInvalide**](../Model/PagedResultRefProduitInvalide.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetSaisons()`

```php
catalogGetSaisons($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierSaisonWebConnectSaison
```

Obtient les informations de saisons des produits

Obtient les informations de saisons des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les saisons des produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les saisons ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetSaisons($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetSaisons: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les saisons des produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les saisons ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierSaisonWebConnectSaison**](../Model/PagedResultMetierSaisonWebConnectSaison.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetTailles()`

```php
catalogGetTailles($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierTailleWebConnectTaille
```

Obtient les informations de tailles des produits

Obtient les informations de tailles des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les tailles des produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les tailles ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetTailles($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetTailles: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les tailles des produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les tailles ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierTailleWebConnectTaille**](../Model/PagedResultMetierTailleWebConnectTaille.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetThemes()`

```php
catalogGetThemes($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierThemeWebConnectTheme
```

Obtient les informations des thèmes des produits

Obtient les informations des thèmes des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les thèmes des produits correspondants au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les thèmes ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetThemes($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetThemes: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les thèmes des produits correspondants au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les thèmes ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierThemeWebConnectTheme**](../Model/PagedResultMetierThemeWebConnectTheme.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `catalogGetThemesExt()`

```php
catalogGetThemesExt($filtre_produit, $derniere_modification, $pager): \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierThemeWebConnectThemeComplete
```

Obtient les informations de thèmes des produits

Obtient les informations de thèmes des produits

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure API key authorization: Secret
$config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKey('X-API-Key', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// $config = PrestaShop\Module\PrestaConnector\pol\api\lib\Configuration::getDefaultConfiguration()->setApiKeyPrefix('X-API-Key', 'Bearer');


$apiInstance = new PrestaShop\Module\PrestaConnector\pol\api\lib\Api\CatalogApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$filtre_produit = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\FiltreProduit(); // FiltreProduit | Si précisé, ne renvoi que les thèmes des produits correspondant au filtrage
$derniere_modification = new \DateTime("2013-10-20T19:20:30+01:00"); // \DateTime | Si précisé, ne renvoi que les thèmes ayant changées depuis cette date
$pager = new \PrestaShop\Module\PrestaConnector\pol\api\lib\Model\Pager(); // Pager | Configuration de la sortie d'un résultat      Une documentation complémentaire est disponible à l'adresse [/api?doc=WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc=WebConnect.Pager)

try {
    $result = $apiInstance->catalogGetThemesExt($filtre_produit, $derniere_modification, $pager);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CatalogApi->catalogGetThemesExt: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **filtre_produit** | [**FiltreProduit**](../Model/.md)| Si précisé, ne renvoi que les thèmes des produits correspondant au filtrage | [optional] |
| **derniere_modification** | **\DateTime**| Si précisé, ne renvoi que les thèmes ayant changées depuis cette date | [optional] |
| **pager** | [**Pager**](../Model/.md)| Configuration de la sortie d&#39;un résultat      Une documentation complémentaire est disponible à l&#39;adresse [/api?doc&#x3D;WebConnect.Pager](https://nur1.pl-vega-0001.polarisgestionmag.net:3443/api?doc&#x3D;WebConnect.Pager) | [optional] |

### Return type

[**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\PagedResultMetierThemeWebConnectThemeComplete**](../Model/PagedResultMetierThemeWebConnectThemeComplete.md)

### Authorization

[Secret](../../README.md#Secret)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)
