# # Produit

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**nom_variante** | **string** | Nom de la variante du produit, non triable | [optional]
**no** | **int** | Numéro d&#39;identification du produit (numéro interne de la déclinaison du modèle - unique)    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to 0]
**no_modele** | **int** | Numéro d&#39;identification du modèle de produits, utile pour regrouper ou retrouver toutes les déclinaisons (coloris, matière, ...) d&#39;un même modèle    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to 0]
**code** | **string** | Code du produit    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**grille_taille** | **string** | Nom de la grille de taille du produit    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**code_ref** | **int** | Code numérique alternatif de référence pour la déclinaison, si fonctionnalité activée dans Polaris    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to 0]
**libelle** | **string** | Nom du produit    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**declinaison** | **string** | Nom de la déclinaison    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**zonage_modele** | **string** | Code zone du modèle    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**zonage_declinaison** | **string** | Code zone de la déclinaison    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**niveau1** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierNiveauWebConnectProductNiveau**](MetierNiveauWebConnectProductNiveau.md) |  | [optional]
**niveau2** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierNiveauWebConnectProductNiveau**](MetierNiveauWebConnectProductNiveau.md) |  | [optional]
**niveau3** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierNiveauWebConnectProductNiveau**](MetierNiveauWebConnectProductNiveau.md) |  | [optional]
**niveau4** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierNiveauWebConnectProductNiveau**](MetierNiveauWebConnectProductNiveau.md) |  | [optional]
**categorie1** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierCategorieWebConnectProductCategorie**](MetierCategorieWebConnectProductCategorie.md) |  | [optional]
**categorie2** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierCategorieWebConnectProductCategorie**](MetierCategorieWebConnectProductCategorie.md) |  | [optional]
**categorie3** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierCategorieWebConnectProductCategorie**](MetierCategorieWebConnectProductCategorie.md) |  | [optional]
**categorie4** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierCategorieWebConnectProductCategorie**](MetierCategorieWebConnectProductCategorie.md) |  | [optional]
**classification** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierClassificationWebConnectClassification**](MetierClassificationWebConnectClassification.md) |  | [optional]
**marque** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierMarqueWebConnectMarque**](MetierMarqueWebConnectMarque.md) |  | [optional]
**collection** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierCollectionWebConnectProductCollection**](MetierCollectionWebConnectProductCollection.md) |  | [optional]
**saison** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierSaisonWebConnectSaison**](MetierSaisonWebConnectSaison.md) |  | [optional]
**code_taric** | **string** | Code Taric (HS Code / douane)    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**code_pays_fabrication** | **string** | Code ISO 3166A3 du pays de fabrication    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**encombrement** | **int** | Indice d&#39;encombrement du produit (consultez l&#39;administrateur du backoffice pour connaître comment il est calculé)    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to 0]
**poids** | **int** | Poids du produit, en grammes    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to 0]
**volume** | **int[]** | Dimensions du produit en millimètres [Longueur, Largeur, Hauteur]    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**prix_ttc** | **float** | Prix le plus faible, promo comprise, dans le magasin physique de référence, ou à défaut prix le plus faible dans les autres magasins physiques Ce prix n&#39;est pas a utiliser pour la gestion des soldes sur internet    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**prix_normal_ttc** | **float** | Prix le plus faible, hors promo, dans le magasin de référence, ou à défaut dans les autres magasins    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**taux_tva** | **float** | Taux de TVA du produit dans le magasin de référence    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**eco_participation_ht** | **float** | Montant de l&#39;éco-participation, hors taxe    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**devise** | **string** | Code international de la devise des prix annoncés    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**en_solde** | **bool** | En solde dans le magasin de référence    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to true]
**est_lot** | **bool** | Vrai si le modèle représente un lot de modèles    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to false]
**est_service** | **bool** | Vrai si le modèle est un service et non un produit (pas de gestion de stock)    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to false]
**seo_modele** | **string** | Informations SEO liées au modèle    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**seo_declinaison** | **string** | Informations SEO liées à cette déclinaison du modèle    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**description** | **string** | Description du produit    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**photos** | **int[]** | Identifiant des photos associées | [optional]
**en_ligne** | **bool** | Vrai si le produit est marqué comme étant publié sur le site Internet    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to false]
**mis_en_ligne** | **\DateTime** | Date de première mise en ligne du produit    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**derniere_modification** | **\DateTime** | Date de dernière modification des propriétés du produit    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**derniere_changement** | **\DateTime** | Date de dernière modification des propriétés du produit, des stocks et des prix    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**quarantaine** | **bool** | Vrai si le produit n&#39;est plus utilisé et sera supprimé à terme    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to false]
**themes** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\ProduitTheme[]**](ProduitTheme.md) | Thèmes | [optional]
**proprietes** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\ProduitPropriete[]**](ProduitPropriete.md) | Propriétés | [optional]
**last_modif** | **string** |  | [optional]
**last_changement** | **string** |  | [optional]
**tailles** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\ProduitDetailTaille[]**](ProduitDetailTaille.md) | Tailles | [optional]

[[Back to Model list]](../../README.md#models) [[Back to API list]](../../README.md#endpoints) [[Back to README]](../../README.md)
